using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    // このクラスは CA1019:Default に違反しています。
    // このクラスは CA1019:RemoveSetter に違反しています。
    // このクラスは CA1019:IncreaseVisibility に違反しています。
    [AttributeUsage(AttributeTargets.All)]
    public sealed class Rule1019 : Attribute
    {
        private string name;

        public string Description { get; set; }

        internal string Version { get; private set; }

        public Rule1019(string name, string description, string version)
        {
            this.name = name;
            Description = description;
            Version = version;
        }

        public override string ToString()
        {
            return this.name + ":" + Description + ":" + Version;
        }
    }
}
